Bug 99100 - [SKL,BDW,BSW,KBL] dEQP-VK.glsl.return.return_in_dynamic_loop_dynamic_vertex regression
Summary: [SKL,BDW,BSW,KBL] dEQP-VK.glsl.return.return_in_dynamic_loop_dynamic_vertex r...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Timothy Arceri
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-15 15:34 UTC by Mark Janes
Modified: 2017-01-24 22:42 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2016-12-15 15:34:44 UTC
Regression occured at:

a5502a721fd30fde4f5dc71421494329052f805b
Author:     Timothy Arceri <timothy.arceri@collabora.com>
Revert "nir: Turn imov/fmov of undef into undef."


dEQP-VK.glsl.return.return_in_dynamic_loop_dynamic_vertex

Standard Output

Image comparison failed: difference = 234.365, threshold = 0.1
Comment 1 Timothy Arceri 2016-12-16 01:50:06 UTC
Possible fix: https://patchwork.freedesktop.org/patch/127784/
Comment 2 Timothy Arceri 2016-12-16 09:37:23 UTC
I've pushed:

commit 3421b3f5a35f5cf29934f74c30850c4d04ba0237
Author: Timothy Arceri <timothy.arceri@collabora.com>
Date:   Fri Dec 16 10:17:33 2016 +1100

    nir: Turn imov/fmov of undef into undef
    
    Reverting the previous attempt at this a5502a721fd30fd resulted in
    the following Vulkan test failing.
    
    dEQP-VK.glsl.return.return_in_dynamic_loop_dynamic_vertex
    
    This time we use the num_components from the alu dest rather than
    num_inputs to the op to determine the size of the undef.
    
    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>
    Reviewed-by: Jason Ekstrand <jason@jlekstrand.net>
    Cc: "13.0" <mesa-stable@lists.freedesktop.org>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=99100

However both Ken and Jason seem to think this is just hiding a real bug so maybe we should keep this open?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.